# Couenne::CouenneSOSObject Class Reference

`#include <CouenneSOSObject.hpp>`

List of all members.

## Public Member Functions
| CouenneSOSObject (OsiSolverInterface *solver, int nelem, int *indices, double *weights, int type, CouenneProblem *problem, exprVar *ref, JnlstPtr jnlst, bool doFBBT, bool doConvCuts)
| CouenneSOSObject (const CouenneSOSObject &src)
| Copy constructor.
virtual OsiObject * | clone () const
| Cloning method.
OsiBranchingObject * | createBranch (OsiSolverInterface *si, const OsiBranchingInformation *info, int way) const
| create branching objects
## Protected Attributes
CouenneProblem * | problem_
| pointer to Couenne problem
exprVar * | reference_
| The (auxiliary) variable this branching object refers to.
JnlstPtr | jnlst_
| SmartPointer to the Journalist.
bool | doFBBT_
| shall we do Feasibility based Bound Tightening (FBBT) at branching?
bool | doConvCuts_
| shall we add convexification cuts at branching?

## Detailed Description

Definition at line 95 of file CouenneSOSObject.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneSOSObject::CouenneSOSObject | ( | OsiSolverInterface * | solver,
|  | int | nelem,
|  | int * | indices,
|  | double * | weights,
|  | int | type,
|  | CouenneProblem * | problem,
|  | exprVar * | ref,
|  | JnlstPtr | jnlst,
|  | bool | doFBBT,
|  | bool | doConvCuts |
| ) |  |  | `[inline]`

Definition at line 118 of file CouenneSOSObject.hpp.

Referenced by clone().

Couenne::CouenneSOSObject::CouenneSOSObject | ( | const CouenneSOSObject & | src | ) | `[inline]`

Copy constructor.

Definition at line 134 of file CouenneSOSObject.hpp.

## Member Function Documentation

virtual OsiObject* Couenne::CouenneSOSObject::clone | ( |  | ) | const`[inline, virtual]`

Cloning method.

Definition at line 143 of file CouenneSOSObject.hpp.

References CouenneSOSObject().

OsiBranchingObject* Couenne::CouenneSOSObject::createBranch | ( | OsiSolverInterface * | si,
|  | const OsiBranchingInformation * | info,
|  | int | way |
| ) |  |  | const

create branching objects

## Member Data Documentation

CouenneProblem* Couenne::CouenneSOSObject::problem_`[protected]`

pointer to Couenne problem

Definition at line 100 of file CouenneSOSObject.hpp.

exprVar* Couenne::CouenneSOSObject::reference_`[protected]`

The (auxiliary) variable this branching object refers to.

If the expression is w=f(x,y), this is w, as opposed to CouenneBranchingObject, where it would be either x or y.

Definition at line 105 of file CouenneSOSObject.hpp.

JnlstPtr Couenne::CouenneSOSObject::jnlst_`[protected]`

SmartPointer to the Journalist.

Definition at line 108 of file CouenneSOSObject.hpp.

bool Couenne::CouenneSOSObject::doFBBT_`[protected]`

shall we do Feasibility based Bound Tightening (FBBT) at branching?

Definition at line 111 of file CouenneSOSObject.hpp.

bool Couenne::CouenneSOSObject::doConvCuts_`[protected]`

shall we add convexification cuts at branching?

Definition at line 114 of file CouenneSOSObject.hpp.

The documentation for this class was generated from the following file:

- CouenneSOSObject.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines